### Class

# Clutter Focus

#### Description

    class Clutter.Focus : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Descendants

- ClutterKeyFocus
- ClutterSprite

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Clutter.Focus:stage

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct ClutterFocusClass {
      GObjectClass parent_class;
      gboolean (* set_current_actor) (
        ClutterFocus* focus,
        ClutterActor* actor,
        ClutterInputDevice* source_device,
        uint32_t time_ms
      );
      ClutterActor* (* get_current_actor) (
        ClutterFocus* focus
      );
      void (* propagate_event) (
        ClutterFocus* focus,
        const ClutterEvent* event
      );
      void (* update_from_event) (
        ClutterFocus* focus,
        const ClutterEvent* event
      );
      void (* notify_grab) (
        ClutterFocus* focus,
        ClutterGrab* grab,
        ClutterActor* grab_actor,
        ClutterActor* old_grab_actor
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`set_current_actor: gboolean (* set_current_actor) ( ClutterFocus* focus, ClutterActor* actor, ClutterInputDevice* source_device, uint32_t time_ms )`

  No description available.

`get_current_actor: ClutterActor* (* get_current_actor) ( ClutterFocus* focus )`

  No description available.

`propagate_event: void (* propagate_event) ( ClutterFocus* focus, const ClutterEvent* event )`

  No description available.

`update_from_event: void (* update_from_event) ( ClutterFocus* focus, const ClutterEvent* event )`

  No description available.

`notify_grab: void (* notify_grab) ( ClutterFocus* focus, ClutterGrab* grab, ClutterActor* grab_actor, ClutterActor* old_grab_actor )`

  No description available.

#### Virtual methods

###### Clutter.FocusClass.get_current_actor

No description available.

###### Clutter.FocusClass.notify_grab

No description available.

###### Clutter.FocusClass.propagate_event

No description available.

###### Clutter.FocusClass.set_current_actor

No description available.

###### Clutter.FocusClass.update_from_event

No description available.